# RPM specfile for battstat_applet module
# Generated Mon May  6 02:07:14 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.10 2001/10/09 13:57:52 dobey Exp $

%define nam	battstat_applet
%define ver	2.0.9
%define ximrev	7

Name:     	battstat_applet
Version: 	2.0.9
Release:	1.ximian.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	battstat_applet-2.0.9.tar.gz
Patch0:		battstat-no-libapm.patch
Patch1:		battstat-sounds-make.patch
Patch2:		battstat-font-loading.patch
Summary:	Battery status utility
Group:		User Interface/Desktops
Requires:	gnome-libs >= 1.2.4
Requires:	gnome-core >= 1.2.4
Provides:	ximian-battstat_applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
A laptop battery status monitor applet for GNOME.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/share/applets/Monitors/*
/usr/share/gnome/help/*
/usr/share/locale/*/*/*
/usr/share/pixmaps/*
/etc/CORBA/servers/*
/etc/sound/events/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n battstat_applet-2.0.9
    ;;
all)
%setup  -q -n battstat_applet-2.0.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon May 6 2002 Ximian, Inc.

- Version: 2.0.9-1.ximian.7
- Summary: New build.
- New automated build.

